Subject: [hybi] BWTP mark II proposal

From: Greg Wilkins <[email-masked]>
Date: Sun, 23 Aug 2009 19:03:03 +1000

All,

After considering the feedback received on the BWTP protocol proposal,
I've produced a second proposal that:

 + significantly simplifies the protocol while keeping most of the key
   features.  The simplification comes from separation of meta data from
   being an option in every frame to being an optional frame type.

 + Multiple channels are now part of the protocol rather than a convention
   applied to URIs

 + The protocol is able to carry HTTP header style meta data, but unlike
   HTTP, the protocol does not use such headers for any aspects of the
   transport.

http://bwtp.wikidot.com/main:proposal1

feed back welcome

regards